clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
clang::tidy::readability::IdentifierNamingCheck::NamingStyle Struct Reference

`#include <IdentifierNamingCheck.h>`

Collaboration diagram for clang::tidy::readability::IdentifierNamingCheck::NamingStyle:
[legend]

## Public Member Functions
| NamingStyle ()
| NamingStyle (CaseType Case, const std::string &Prefix, const std::string &Suffix)
bool | isSet () const

## Public Attributes
CaseType | Case
std::string | Prefix
std::string | Suffix

## Detailed Description

Definition at line 49 of file IdentifierNamingCheck.h.

## Constructor & Destructor Documentation

clang::tidy::readability::IdentifierNamingCheck::NamingStyle::NamingStyle | ( |  | ) |
| inline

Definition at line 50 of file IdentifierNamingCheck.h.

clang::tidy::readability::IdentifierNamingCheck::NamingStyle::NamingStyle | ( | CaseType | Case,
|  | const std::string & | Prefix,
|  | const std::string & | Suffix
| ) |  |
| inline

Definition at line 52 of file IdentifierNamingCheck.h.

## Member Function Documentation

bool clang::tidy::readability::IdentifierNamingCheck::NamingStyle::isSet | ( |  | ) | const
| inline

Definition at line 60 of file IdentifierNamingCheck.h.

References Case, clang::tidy::readability::IdentifierNamingCheck::CT_AnyCase, Prefix, and Suffix.

## Member Data Documentation

CaseType clang::tidy::readability::IdentifierNamingCheck::NamingStyle::Case

Definition at line 56 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::fixupWithStyle(), isSet(), and clang::tidy::readability::matchesStyle().

std::string clang::tidy::readability::IdentifierNamingCheck::NamingStyle::Prefix

Definition at line 57 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::fixupWithStyle(), isSet(), and clang::tidy::readability::matchesStyle().

std::string clang::tidy::readability::IdentifierNamingCheck::NamingStyle::Suffix

Definition at line 58 of file IdentifierNamingCheck.h.

Referenced by clang::tidy::readability::fixupWithStyle(), isSet(), and clang::tidy::readability::matchesStyle().

The documentation for this struct was generated from the following file:

- IdentifierNamingCheck.h